STRUCT IEEE80211_TX_(9)

NAME
struct_ieee80211_tx_queue_params - transmit queue configuration

SYNOPSIS

struct ieee80211_tx_queue_params {
  u16 txop;
  u16 cw_min;
  u16 cw_max;
  u8 aifs;
  bool acm;
  bool uapsd;
};

MEMBERS

txop
    maximum burst time in units of 32 usecs, 0 meaning disabled

cw_min
    minimum contention window [a value of the form 2^n-1 in the range 1..32767]

cw_max
    maximum contention window [like cw_min]

aifs
    arbitration interframe space [0..255]

acm
    is mandatory admission control required for the access category

uapsd
    is U-APSD mode enabled for the queue

DESCRIPTION

The information provided in this structure is required for QoS transmit queue configuration. Cf. IEEE 802.11 7.3.2.29.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT